# $Revision: 1.43 $, $Date: 2005/09/17 11:39:50 $
Summary:	Computer chess program
Summary(de):	Computerschachprogramm
Summary(es):	Juego de ajedrez de la GNU
Summary(fr):	Jeu d'checs
Summary(pl):	Gra w szachy
Summary(pt_BR):	Jogo de xadrez da GNU
Summary(ru):	  GNU
Summary(tr):	Bilgisayar satran oyunu
Summary(uk):	  GNU
Name:		gnuchess
Version:	5.07
Release:	5
License:	GPL
Group:		Applications/Games
Source0:	ftp://ftp.gnu.org/gnu/chess/%{name}-%{version}.tar.gz
# Source0-md5:	259da00aa559e5624c65279484fccaf7
Source1:	xchess.png
Source2:	%{name}.desktop
Patch0:		%{name}-gcc4.patch
URL:		http://www.gnu.org/software/chess/chess.html
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	ncurses-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The gnuchess package contains the GNU chess program. By default,
GNUchess uses a curses text-based interface. Alternatively, GNUchess
can be used in conjunction with the xboard user interface and the X
Window System for a graphical chessboard.

%description -l de
Das berhmte GNU-Schachprogramm. Es ist textorientiert, kann aber mit
'xboard' verwendet werden, um X-orientiertes Schach zu spielen.

%description -l es
Este es el famoso programa de ajedrez de GNU. Est basado en texto,
pero puede ser usado en conjuncin con xboard para jugar ajedrez
basado en X.

%description -l fr
Le fameux programme de jeu d'checs de GNU. Il est en mode texte mais
peut tre utilis avec xboard pour y jouer sous X.

%description -l pl
Oto sawny GNU program szachowy. Jest w trybie tekstowym, ale w
poczeniu z xboard moe mie interfejs w X Window.

%description -l pt_BR
Este  o famoso programa de xadrez da GNU.  baseado em texto, mas
pode ser usado em conjuno com xboard para jogar xadrez baseado em X.

%description -l ru
 gnuchess    GNU.   GNUchess
     curses.  
     xboard,  
  X Window System.

%description -l tr
Bu nl GNU satran programdr. Metin ekranda alr ama xboard
program ile birlikte kullanlarak X altnda da oynanabilir.

%description -l uk
 gnuchess ͦ   GNU.   GNUchess
դ    צ curses.  
   Ҧ   xboard,  դ
Ʀ  Ц X Window System.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/games/gnuchess,%{_mandir}/man6} \
       $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
install src/gnuchess $RPM_BUILD_ROOT%{_bindir}
install src/gnuchessx $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/gnuchess
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnuchess.spec,v $
Revision 1.43  2005/09/17 11:39:50  arekm
- new readline 5.0

Revision 1.42  2005/07/26 20:05:12  jareq
- add gnuchess-gcc4.patch - now build with gcc4
- rel. 4

Revision 1.41  2005/06/01 20:07:08  zbyniu
- BR: flex

Revision 1.40  2004/06/01 17:37:21  qboosh
- fixed build on amd64, release 3

Revision 1.39  2004/06/01 15:16:57  pawelk
- install gnuchessx (needed by xboard)
- rel 2

Revision 1.38  2003/09/27 17:13:36  djurban
- 5.07

Revision 1.37  2003/09/27 16:11:47  djurban
- vfolders enabled

Revision 1.36  2003/05/26 17:17:53  erjot
- typos

Revision 1.35  2003/05/26 16:54:11  misi3k
- updated to 5.06
- cleanup
